"use strict";

const WebPage = require("./lib/web-page");
const runPage = require("./run-page");

class ArticlePage extends WebPage {
    constructor() {
        super({ id: "article-page" });
        this.article = JSON.parse(document.querySelector("main").getAttribute("data"))
    }

    render() {
        return {
            tag: "h1",
            contents: this.article.title,
        }
    }
}

runPage(ArticlePage);
